Subject: RE: [seamoby] Who defines protocol specific context and how is tr ansported?

From: [email-masked]
Date: Wed, 15 Aug 2001 09:03:20 +0300

Hi George,

> Here is one more issue that we consider important and thus post
> separately...
> 
> The requirements draft says:
> "5.1.2 The context transfer protocol design MUST define a standard 
>       representation for conveying context information that will be 
>       interpreted uniformly and perspicuously by different 
>       implementations."
> 
> Who defines the protocol specific info but also the way it is 
> forwarded between ARs? 

My proposal would be to devise a general packet structure for context
transfer.  An IANA registry could be setup to provide Context Transfer
Payload IDs.  These would be used in the CT Packet to identify the
payload.  The payload itself will most likely be a blob to the
CTP (Context Transfer Payload) but of significance to the application
who needs it.

I think that defining the Payloads could be done in seperate drafts,
commented on in relevant working groups.  Perhaps some consideration
on timing, security, etc. should be addressed in the payload drafts.

John

---

From: George Tsirtsis <[email-masked]>
Date: Wed, 15 Aug 2001 04:07:36 -0400

John,

Something along these lines sounds good to me too. I just want to make sure
we are all on the same page before people submit protocol proposals.

Thanks
George

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
Sent: Wednesday, August 15, 2001 7:03 AM
To: [email-masked]; [email-masked]
Subject: RE: [seamoby] Who defines protocol specific context and how is
tr ansported?

Hi George,

John

---

From: kempf <[email-masked]>
Date: Wed, 15 Aug 2001 08:03:23 -0700 (PDT)

John,

Not so clear that this would be the right approach. The different context
features might require different containers, and different transports
(reliable v.s. unreliable). 

I do agree that it is a good goal, though. Would certainly simplify matters.

		jak
		
>Delivered-To: [email-masked]
>From: [email-masked]
>To: [email-masked], [email-masked]
>Subject: RE: [seamoby] Who defines protocol specific context and how is tr 
ansported?
>Date: Wed, 15 Aug 2001 09:03:20 +0300
>
>Hi George,
>